com.fasterxml.aalto.out

## Class Latin1XmlWriter

- java.lang.Object
- - com.fasterxml.aalto.out.WNameFactory
  - - com.fasterxml.aalto.out.XmlWriter
    - - com.fasterxml.aalto.out.ByteXmlWriter
      - - com.fasterxml.aalto.out.SingleByteXmlWriter
        - - com.fasterxml.aalto.out.Latin1XmlWriter

-     public final class Latin1XmlWriter
      extends SingleByteXmlWriter

  This is the generic implementation of `XmlWriter`, used if the destination is byte-based `OutputStream`, and encoding is ISO-8859-1 (aka Latin1)

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.aalto.out.ByteXmlWriter

      `_charTypes, _out, _outputBuffer, _outputBufferLen, _outputPtr, _surrogate`

    - ### Fields inherited from class com.fasterxml.aalto.out.XmlWriter

      `_cfgNsAware, _checkContent, _checkNames, _config, _copyBuffer, _copyBufferLen, _locPastChars, _locRowNr, _locRowStartOffset, _xml11, ATTR_MIN_ARRAYCOPY, DEFAULT_COPYBUFFER_LEN, MIN_ARRAYCOPY, SURR1_FIRST, SURR1_LAST, SURR2_FIRST, SURR2_LAST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Latin1XmlWriter(WriterConfig cfg, OutputStream out)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected WName` | `doConstructName(String localName)`
    `protected WName` | `doConstructName(String prefix, String localName)`
    `int` | `getHighestEncodable()` Method called by error reporting code, to figure out if a given character is encodable (without using character entities) with the current encoding or not.
    `void` | `writeRaw(char[] cbuf, int offset, int len)` This method is heavily encoding-dependant, so it needs to be deferred to sub-classes

    - ### Methods inherited from class com.fasterxml.aalto.out.SingleByteXmlWriter

      `output2ByteChar, outputMultiByteChar, outputStrictMultiByteChar, outputSurrogates`

    - ### Methods inherited from class com.fasterxml.aalto.out.ByteXmlWriter

      `_closeTarget, _releaseBuffers, calcSurrogate, constructName, constructName, fastWriteAttrValue, flush, flushBuffer, getAscii, getAscii, getAscii, getOutputPtr, throwUnpairedSurrogate, throwUnpairedSurrogate, verifyNameComponent, writeAsEntity, writeAttribute, writeAttribute, writeAttribute, writeAttrValue, writeCData, writeCData, writeCDataContents, writeCDataEnd, writeCDataStart, writeCharacters, writeCharacters, writeComment, writeCommentContents, writeCommentEnd, writeCommentStart, writeDTD, writeDTD, writeEndTag, writeEntityReference, writeLongAttribute, writeName, writeName, writeName, writePI, writePIData, writeRaw, writeRaw, writeRaw, writeRaw, writeRaw, writeSpace, writeSpace, writeStartTagEmptyEnd, writeStartTagEnd, writeStartTagStart, writeTypedValue, writeXmlDeclaration`

    - ### Methods inherited from class com.fasterxml.aalto.out.XmlWriter

      `close, enableXml11, getAbsOffset, getColumn, getRow, guessEncodingBitSize, reportFailedEscaping, reportInvalidChar, reportInvalidEmptyName, reportNwfContent, reportNwfContent, reportNwfName, reportNwfName, throwOutputError, throwOutputError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Latin1XmlWriter

          public Latin1XmlWriter(WriterConfig cfg,
                         OutputStream out)

  - ### Method Detail

    - #### getHighestEncodable

          public int getHighestEncodable()

      Description copied from class: `XmlWriter`
      Method called by error reporting code, to figure out if a given character is encodable (without using character entities) with the current encoding or not.
      Specified by:
        `getHighestEncodable` in class `SingleByteXmlWriter`
      Returns:
        Character code of the highest character that can be natively encoded.

    - #### writeRaw

          public void writeRaw(char[] cbuf,
                      int offset,
                      int len)
                        throws IOException,
                               XMLStreamException

      Description copied from class: `ByteXmlWriter`
      This method is heavily encoding-dependant, so it needs to be deferred to sub-classes
      Specified by:
        `writeRaw` in class `SingleByteXmlWriter`
      Throws:
        `IOException`
        `XMLStreamException`

    - #### doConstructName

          protected WName doConstructName(String localName)
                                   throws XMLStreamException

      Specified by:
        `doConstructName` in class `ByteXmlWriter`
      Throws:
        `XMLStreamException`

    - #### doConstructName

          protected WName doConstructName(String prefix,
                              String localName)
                                   throws XMLStreamException

      Specified by:
        `doConstructName` in class `ByteXmlWriter`
      Throws:
        `XMLStreamException`

Copyright © 2018 FasterXML. All rights reserved.